Bug 599565 - Beta installer fails with deployment exception
Beta installer fails with deployment exception
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
1.4.0.B01
All Linux
urgent Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Rajan Timaniya
:
Depends On:
Blocks: jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2010-06-03 10:06 EDT by Sudhir D
Modified: 2013-08-05 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2010-06-03 10:06:52 EDT
Description of problem:
Beta installer jon-server-2.4.0.Beta0 fails with deployment exception.

Version-Release number of selected component (if applicable):
Beta0

How reproducible:
always.

Steps to Reproduce:
1. Download the installer and go into bin directory and run ./rhq-start.sh start
  
Actual results:

2010-06-04 10:35:21,875 INFO  [com.arjuna.ats.jbossatx.jta.TransactionManagerService] JBossTS Transaction Service (JTA version) - JBoss Inc.
2010-06-04 10:35:21,876 INFO  [com.arjuna.ats.jbossatx.jta.TransactionManagerService] Setting up property manager MBean and JMX layer
2010-06-04 10:35:21,988 INFO  [com.arjuna.ats.jbossatx.jta.TransactionManagerService] Starting recovery manager
2010-06-04 10:35:22,033 INFO  [com.arjuna.ats.jbossatx.jta.TransactionManagerService] Recovery manager started
2010-06-04 10:35:22,033 INFO  [com.arjuna.ats.jbossatx.jta.TransactionManagerService] Binding TransactionManager JNDI Reference
2010-06-04 10:35:23,331 INFO  [org.jboss.ejb3.EJB3Deployer] Starting java:comp multiplexer
2010-06-04 10:35:23,426 ERROR [org.jboss.deployment.MainDeployer] Could not create deployment: file:/root/Desktop/JON/jon-server-2.4.0.Beta0/jbossas/server/default/deploy/client-deployer-service.xml
org.jboss.deployment.DeploymentException: - nested throwable: (java.lang.reflect.UndeclaredThrowableException)
        at org.jboss.system.ServiceConfigurator.install(ServiceConfigurator.java:196)
        at org.jboss.system.ServiceController.install(ServiceController.java:226)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:155)
        at org.jboss.mx.server.Invocation.dispatch(Invocation.java:94)
        at org.jboss.mx.server.Invocation.invoke(Invocation.java:86)
        at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
        at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:659)
        at org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:210)
        at $Proxy4.install(Unknown Source)
        at org.jboss.deployment.SARDeployer.create(SARDeployer.java:251)
        at org.jboss.deployment.MainDeployer.create(MainDeployer.java:969)
        at org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:818)
        at org.jboss.deployment.MainDeployer.deploy(MainDeployer.java:782)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.jboss.mx.interceptor.ReflectedDispatcher.invoke(ReflectedDispatcher.java:155)
        at org.jboss.mx.server.Invocation.dispatch(Invocation.java:94)
        at org.jboss.mx.interceptor.AbstractInterceptor.invoke(AbstractInterceptor.java:133)
        at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)
        at org.jboss.mx.interceptor.ModelMBeanOperationInterceptor.invoke(ModelMBeanOperationInterceptor.java:142)
        at org.jboss.mx.server.Invocation.invoke(Invocation.java:88)
        at org.jboss.mx.server.AbstractMBeanInvoker.invoke(AbstractMBeanInvoker.java:264)
        at org.jboss.mx.server.MBeanServerImpl.invoke(MBeanServerImpl.java:659)
        at org.jboss.mx.util.MBeanProxyExt.invoke(MBeanProxyExt.java:210)
        at $Proxy9.deploy(Unknown Source)



Expected results:

Installer should go through.
Additional info:
Comment 1 Ian Springer 2010-06-03 14:49:49 EDT
This was caused by the JBoss Web Services jars being missing from the JON Server's jbossas/server/default/lib/ dir, which I suspect this was due to some mistake made on my part while cutting the release. I cut a new "take 2" Beta0 release, which no longer has the problem. It can be downloaded here:

http://jon01.qa.atl2.redhat.com:8042/dist/qa/
Comment 2 Corey Welton 2010-06-04 09:06:59 EDT
Resetting to ON_QA
Comment 3 Rajan Timaniya 2010-06-07 03:31:10 EDT
Verified on JON 2.4 Beta1

Installed JON .4 Beta1 with Postgres 8.3/8.4 and Oracle 10g/11g
Comment 4 Corey Welton 2010-08-12 12:59:21 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.